> For the complete documentation index, see [llms.txt](https://docs.nymcard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nymcard.com/get-started/program-management/necessary-parameters-per-user-type.md).

# Necessary parameters per user type

You can create a user with the following user types:

* "INDIVIDUAL"
* "BUSINESS"
* "DIRECTOR"
* "SIGNATURE"
* "SHAREHOLDER"
* "SHAREHOLDER\_BUSINESS"

### Individual user type

To create an individual user, you should indicate at least **'first\_name'** parameter.

Below you can find an example of user creation with 'user\_type'="INDIVIDUAL":

<details>

<summary>Sample</summary>

**`curl --location --request POST '`**[**`https://api.dev.platform.nm-1.nymcard.com/v1/users`**](https://api.dev.platform.nm-1.nymcard.com/v1/users)**`' \`**

**`--header 'Content-Type: application/json' \`**

**`--header 'apikey: tenant1-key' \`**

**`--data-raw '{`**

&#x20; **`"title": "MRS",`**

&#x20; **`"first_name": "Sara",`**

&#x20; **`"middle_name": "Anthony",`**

&#x20; **`"last_name": "pass",`**

&#x20; **`"native_name": "John Smith",`**

&#x20; **`"date_of_birth": "1989-11-07",`**

&#x20; **`"email": "bob@example.com",`**

&#x20; **`"mobile": "+551185249635",`**

&#x20; **`"address": {`**

&#x20;   **`"address_line1": "Flat 1904",`**

&#x20;   **`"address_line2": "Glass Tower",`**

&#x20;   **`"city": "New York City",`**

&#x20;   **`"state": "New York",`**

&#x20;   **`"postal_code": "12345",`**

&#x20;   **`"country": "UKR"`**

&#x20; **`},`**

&#x20; **`"gender": "MALE",`**

&#x20; **`"preferred_language": "EN",`**

&#x20; **`"place_of_birth": "USA",`**

&#x20; **`"nationality": "USA",`**

&#x20; **`"country_residence": "USA",`**

&#x20; **`"country_tax_residence": "USA",`**

&#x20; **`"employment_type": "SALARIED",`**

&#x20; **`"employment_title": "string",`**

&#x20; **`"monthly_salary": 0,`**

&#x20; **`"company_name": "string",`**

&#x20; **`"company_address": {`**

&#x20;   **`"address_line1": "Flat 1904",`**

&#x20;   **`"address_line2": "Glass Tower",`**

&#x20;   **`"city": "New York City",`**

&#x20;   **`"state": "New York",`**

&#x20;   **`"postal_code": "12345",`**

&#x20;   **`"country": "UKR"`**

&#x20; **`},`**

&#x20; **`"company_country": "USA",`**

&#x20; **`"industry_type": "I01",`**

&#x20; **`"expected_monthly_balance": 0,`**

**`//  "relationship_with_parent": "SON",`**

**`// "parent_user_id": "71204e77-73ce-4671-b997-baf610ff8532",`**

&#x20; **`"user_type": "INDIVIDUAL",`**

&#x20; **`"phone_number": "+551185249635"`**<br>

**`}'`**

</details>

<details>

<summary>Response</summary>

**`{`**

&#x20;   **`"id": "95e7ffbe-0d8a-4c8d-ab84-4476c16a1494",`**

&#x20;   **`"title": "MRS",`**

&#x20;   **`"first_name": "Sara",`**

&#x20;   **`"middle_name": "Anthony",`**

&#x20;   **`"last_name": "pass",`**

&#x20;   **`"native_name": "John Smith",`**

&#x20;   **`"date_of_birth": "1989-11-07",`**

&#x20;   **`"email": "bob@example.com",`**

&#x20;   **`"mobile": "+551185249635",`**

&#x20;   **`"address": {`**

&#x20;       **`"address_line1": "Flat 1904",`**

&#x20;       **`"address_line2": "Glass Tower",`**

&#x20;       **`"city": "New York City",`**

&#x20;       **`"state": "New York",`**

&#x20;       **`"postal_code": "12345",`**

&#x20;       **`"country": "UKR"`**

&#x20;   **`},`**

&#x20;   **`"gender": "MALE",`**

&#x20;   **`"preferred_language": "EN",`**

&#x20;   **`"place_of_birth": "USA",`**

&#x20;   **`"nationality": "USA",`**

&#x20;   **`"created": "2022-09-23T13:30:31.780Z",`**

&#x20;   **`"modified": "2022-09-23T13:30:31.780Z",`**

&#x20;   **`"country_residence": "USA",`**

&#x20;   **`"country_tax_residence": "USA",`**

&#x20;   **`"employment_type": "SALARIED",`**

&#x20;   **`"employment_title": "string",`**

&#x20;   **`"monthly_salary": 0,`**

&#x20;   **`"company_name": "string",`**

&#x20;   **`"company_address": {`**

&#x20;       **`"address_line1": "Flat 1904",`**

&#x20;       **`"address_line2": "Glass Tower",`**

&#x20;       **`"city": "New York City",`**

&#x20;       **`"state": "New York",`**

&#x20;       **`"postal_code": "12345",`**

&#x20;       **`"country": "UKR"`**

&#x20;   **`},`**

&#x20;   **`"company_country": "USA",`**

&#x20;   **`"industry_type": "I01",`**

&#x20;   **`"expected_monthly_balance": 0,`**

&#x20;   **`"user_type": "INDIVIDUAL",`**

&#x20;   **`"phone_number": "+551185249635",`**

&#x20;   **`"status": "PENDINGIDVERIFICATION",`**

&#x20;   **`"status_reason_code": "I0",`**

&#x20;   **`"director_list": [],`**

&#x20;   **`"signature_list": [],`**

&#x20;   **`"shareholder_list": [],`**

&#x20;   **`"default_user": false`**

**`}`**

</details>

### Business user type

To create a business user, you should indicate at least **'business\_legal\_name'** and **"business\_dba\_name"** parameters.

Below you can find an example of user creation with 'user\_type'="BUSINESS":

<details>

<summary>Sample</summary>

**`curl --location --request POST '`**[**`https://api.dev.platform.nm-1.nymcard.com/v1/users`**](https://api.dev.platform.nm-1.nymcard.com/v1/users)**`' \`**

**`--header 'Content-Type: application/json' \`**

**`--header 'apikey: tenant1-key' \`**

**`--data-raw '{`**

**`//   "title": "MR",`**

&#x20; **`"first_name": "John",`**

&#x20; **`"user_type": "BUSINESS",`**

&#x20; **`"middle_name": "Anthony",`**

&#x20; **`"last_name": "pass",`**

&#x20; **`"native_name": "John Smith",`**

&#x20; **`"date_of_birth": "2000-09-28",`**

&#x20; **`"email": "bob@example.com",`**

&#x20; **`"mobile": "+551185249635",`**

&#x20; **`"address": {`**

&#x20;   **`"address_line1": "Flat 1904",`**

&#x20;   **`"address_line2": "Glass Tower",`**

&#x20;   **`"city": "New York City",`**

&#x20;   **`"state": "New York",`**

&#x20;   **`"postal_code": "12345",`**

&#x20;   **`"country": "UKR"`**

&#x20; **`},`**

&#x20; **`"gender": "MALE",`**

&#x20; **`"preferred_language": "EN",`**

&#x20; **`"place_of_birth": "USA",`**

&#x20; **`"nationality": "USA",`**

&#x20; **`//"parent_user_id": "cf2de83b441b-bc54-21de60014d57",`**

&#x20; **`"country_residence": "USA",`**

&#x20; **`"country_tax_residence": "USA",`**

&#x20; **`"employment_type": "SALARIED",`**

&#x20; **`"employment_title": "string",`**

&#x20; **`"monthly_salary": 0,`**

&#x20; **`"company_name": "string",`**

&#x20; **`"company_address": {`**

&#x20;   **`"address_line1": "Flat 1904",`**

&#x20;   **`"address_line2": "Glass Tower",`**

&#x20;   **`"city": "New York City",`**

&#x20;   **`"state": "New York",`**

&#x20;   **`"postal_code": "12345",`**

&#x20;   **`"country": "UKR"`**

&#x20; **`},`**

&#x20; **`"company_country": "USA",`**

&#x20; **`"industry_type": "I01",`**

&#x20; **`"expected_monthly_balance": 0,`**

&#x20;

&#x20; **`"user_type": "BUSINESS",`**

&#x20; **`"business_legal_name": "string",`**

&#x20; **`"business_dba_name": "string",`**

&#x20; **`"date_established": "2021-09-28",`**

&#x20; **`"phone_number": "+551185249635",`**

&#x20; **`"website": "string",`**

<br>

&#x20; **`"incorporation_type": "LLC",`**

**`"entity_registered_no": "22334455",`**&#x20;

**`"old_entity_name": "",`**

**`"old_entity_ops_start_date": "2021-09-28T00:00:00.000Z",`**

**`"old_entity_ops_end_date": "2021-09-28T00:00:00.000Z",`**

**`"regulated_entity": true,`**

**`"regulator_name": "XYZ",`**

**`"business_activities": "Consultancy",`**

**`"other_operated_countries": "UAE, US",`**

**`"tax_residence_country": "UAE",`**

**`"tin": "1122334455",`**

**`"external_auditor_name": "",`**

**`"group_additional_info": {`**

**`"group_entity": true,`**

**`"independent_entity": true,`**

**`"special_investment": true,`**

**`"entity_details": "name"`**

**`},`**

**`"pep_check_info": {`**

**`"pri_pep_check": true,`**

**`"pri_pep_check_name": "ABC",`**

**`"sec_pep_check":true,`**

**`"sec_pep_check_name":"XYZ"`**

**`},`**

**`// "no_of_employees":"25",`**

**`"accept_cash_check": true,`**

**`"annual_turnover":"120000",`**

**`"source_of_funds":"IT services",`**

**`"source_fund_uae":true,`**

**`"due_diligence_declaration": {`**

**`"bankruptcy_declaration": false,`**

**`"disciplinary_declaration": false,`**

**`"fraud_aml_declaration": false,`**

**`"disqualification_declaration": false,`**

**`"conviction_accusition_declaration": false,`**

**`"breach_of_law_declaration": false`**

**`}`**

**`}'`**

</details>

<details>

<summary>Response</summary>

**`{`**

&#x20;   **`"id": "65eb57bd-6290-431d-bf23-1cb287d7d7a8",`**

&#x20;   **`"first_name": "John",`**

&#x20;   **`"middle_name": "Anthony",`**

&#x20;   **`"last_name": "pass",`**

&#x20;   **`"native_name": "John Smith",`**

&#x20;   **`"date_of_birth": "2000-09-28",`**

&#x20;   **`"email": "bob@example.com",`**

&#x20;   **`"mobile": "+551185249635",`**

&#x20;   **`"address": {`**

&#x20;       **`"address_line1": "Flat 1904",`**

&#x20;       **`"address_line2": "Glass Tower",`**

&#x20;       **`"city": "New York City",`**

&#x20;       **`"state": "New York",`**

&#x20;       **`"postal_code": "12345",`**

&#x20;       **`"country": "UKR"`**

&#x20;   **`},`**

&#x20;   **`"gender": "MALE",`**

&#x20;   **`"preferred_language": "EN",`**

&#x20;   **`"place_of_birth": "USA",`**

&#x20;   **`"nationality": "USA",`**

&#x20;   **`"created": "2022-09-23T13:34:30.295Z",`**

&#x20;   **`"modified": "2022-09-23T13:34:30.295Z",`**

&#x20;   **`"country_residence": "USA",`**

&#x20;   **`"country_tax_residence": "USA",`**

&#x20;   **`"employment_type": "SALARIED",`**

&#x20;   **`"employment_title": "string",`**

&#x20;   **`"monthly_salary": 0,`**

&#x20;   **`"company_name": "string",`**

&#x20;   **`"company_address": {`**

&#x20;       **`"address_line1": "Flat 1904",`**

&#x20;       **`"address_line2": "Glass Tower",`**

&#x20;       **`"city": "New York City",`**

&#x20;       **`"state": "New York",`**

&#x20;       **`"postal_code": "12345",`**

&#x20;       **`"country": "UKR"`**

&#x20;   **`},`**

&#x20;   **`"company_country": "USA",`**

&#x20;   **`"industry_type": "I01",`**

&#x20;   **`"expected_monthly_balance": 0,`**

&#x20;   **`"user_type": "BUSINESS",`**

&#x20;   **`"business_legal_name": "string",`**

&#x20;   **`"business_dba_name": "string",`**

&#x20;   **`"date_established": "2021-09-28T00:00:00.000Z",`**

&#x20;   **`"phone_number": "+551185249635",`**

&#x20;   **`"website": "string",`**

&#x20;   **`"status": "PENDINGKYB",`**

&#x20;   **`"status_reason_code": "I0",`**

&#x20;   **`"incorporation_type": "LLC",`**

&#x20;   **`"entity_registered_no": "22334455",`**

&#x20;   **`"old_entity_ops_start_date": "2021-09-28T00:00:00.000Z",`**

&#x20;   **`"old_entity_ops_end_date": "2021-09-28T00:00:00.000Z",`**

&#x20;   **`"regulated_entity": true,`**

&#x20;   **`"regulator_name": "XYZ",`**

&#x20;   **`"business_activities": "Consultancy",`**

&#x20;   **`"other_operated_countries": "UAE, US",`**

&#x20;   **`"tax_residence_country": "UAE",`**

&#x20;   **`"tin": "1122334455",`**

&#x20;   **`"director_list": [],`**

&#x20;   **`"signature_list": [],`**

&#x20;   **`"shareholder_list": [],`**

&#x20;   **`"group_additional_info": {`**

&#x20;       **`"group_entity": true,`**

&#x20;       **`"independent_entity": true,`**

&#x20;       **`"special_investment": true,`**

&#x20;       **`"entity_details": "name"`**

&#x20;   **`},`**

&#x20;   **`"pep_check_info": {`**

&#x20;       **`"pri_pep_check": true,`**

&#x20;       **`"pri_pep_check_name": "ABC",`**

&#x20;       **`"sec_pep_check": true,`**

&#x20;       **`"sec_pep_check_name": "XYZ"`**

&#x20;   **`},`**

&#x20;   **`"accept_cash_check": true,`**

&#x20;   **`"annual_turnover": 120000,`**

&#x20;   **`"source_of_funds": "IT services",`**

&#x20;   **`"source_fund_uae": true,`**

&#x20;   **`"due_diligence_declaration": {`**

&#x20;       **`"bankruptcy_declaration": false,`**

&#x20;       **`"disciplinary_declaration": false,`**

&#x20;       **`"fraud_aml_declaration": false,`**

&#x20;       **`"disqualification_declaration": false,`**

&#x20;       **`"conviction_accusition_declaration": false,`**

&#x20;       **`"breach_of_law_declaration": false`**

&#x20;   **`},`**

&#x20;   **`"default_user": false`**

**`}`**

</details>

### Parameters for each user type

Description of the "[Create user](https://nymcard.com/docs/api#tag/Users/operation/createUser)" API in API catalog includes all parameters which are used in that API.  For your convenience, below you can find a **set of API parameters** (both in pdf and excel formats), which are necessary for **each user type** creation:

{% file src="/files/HOaJESk6iO72ZmbsI7Jw" %}
PDF
{% endfile %}

{% file src="/files/G9h7AAeRMkXRo4Hf13NV" %}
Excel
{% endfile %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nymcard.com/get-started/program-management/necessary-parameters-per-user-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
